Get overview heat-map points.
post
/sia/v1/impact/overview/heatMapPoints
Fetch coordinate-bearing impact points grouped by top-level events in the given eventDate range.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
endDate: string
(date)
Inclusive UTC end date for eventDate filtering.Example:
2022-03-10 -
startDate: string
(date)
Inclusive UTC start date for eventDate filtering.Example:
2022-03-10
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Overview heat-map points retrieved successfully.
Root Schema : HeatMapOverviewResponse
Type:
Show Source
object-
count: integer
(int32)
Number of returned event containers.
-
endDate: string
(date)
Inclusive UTC end date used for eventDate filtering.Example:
2022-03-10 -
events: array
events
Event containers with heat-map points.
-
startDate: string
(date)
Inclusive UTC start date used for eventDate filtering.Example:
2022-03-10
Nested Schema : HeatMapEventPoints
Type:
Show Source
object-
count: integer
(int32)
Number of returned heat-map points for this event.
-
eventDate: string
(date)
Event date of the top-level event.Example:
2022-03-10 -
eventId: string
Top-level event document id.
-
items: array
items
Heat-map points for this event.
Nested Schema : HeatMapPoint
Type:
Show Source
object-
childEventId: string
Child event id for impacts under a planned/simulated parent event.
-
entityType: string
Entity type of the impacted entity.
-
id: string
Impact document id.
-
latitude: number
(double)
Latitude of the impacted entity.
-
longitude: number
(double)
Longitude of the impacted entity.
-
name: string
Name of the impacted entity.
-
specification: string
Specification of the impacted entity.
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred